New versions of Rails and RSpec coming up

Posted by Jim Gay on Monday, October 20, 2008 | |

Extension developers (and maintaniers) should be aware that Radiant will be moving to Rails 2.1.1 (or perhaps newer) and RSpec 1.1.8 (and perhaps newer).

This means that you may need to update your RSpec syntax in your extensions, so checkout the RSpec site for more: http://rspec.info/documentation/rails/

See David Chelimsky’s post about RSpec 1.1.4 (the version that requires some syntax changes for your specs) for some details: http://blog.davidchelimsky.net/2008/5/27/rspec-1-1-4
Radiant 0.6.9 uses RSpec 1.1.3.

There was a development area for the upgrade but the development there has been pulled into Radiant edge.

We encourage you to test it and provide well-written specs and patches or just plain helpful feedback if you’re not sure how to write the necessary code.